SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000317: Restore of community backup always removes databases - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000317Endian FirewallBackup/Restorepublic2007-11-16 10:442007-12-31 19:11
Reporterpeter-endian 
Assigned Tora-endian 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000317: Restore of community backup always removes databases
DescriptionWhenever a community backup will be restored, which normally don't includes database dumps, the databases will always be removed.
If the backup does not contain a database dump, the no database dump can be restored and the databases remain empty.

test_restore() should check whether there is a database backup with the archive, or not, for both postgresql and mysql.
post_restore() then should only remove that database directories of which we have a database dump within the archive.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000702)
ra-endian (administrator)
2007-12-17 14:40

fixed with version efw-backup-2.0.16

- Issue History
Date Modified Username Field Change
2007-11-16 10:44 peter-endian New Issue
2007-11-16 10:45 peter-endian Status new => assigned
2007-11-16 10:45 peter-endian Assigned To => peter-endian
2007-12-10 17:00 peter-endian Priority normal => high
2007-12-10 17:00 peter-endian Severity minor => crash
2007-12-17 14:40 ra-endian Assigned To peter-endian => ra-endian
2007-12-17 14:40 ra-endian Status assigned => resolved
2007-12-17 14:40 ra-endian Fixed in Version => 2.2
2007-12-17 14:40 ra-endian Resolution open => fixed
2007-12-17 14:40 ra-endian Note Added: 0000702
2007-12-31 15:05 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker